/*(c) Copyright 2015 Pivotal Software, Inc. All Rights Reserved.*/
"use strict";

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var React = require("react");

var Dropdown = require("react-bootstrap/DropdownButton");
var DropdownItem = require("react-bootstrap/MenuItem");

var LinkDropdown = React.createClass({
  displayName: "LinkDropdown",

  render: function render() {
    return React.createElement(Dropdown, _extends({}, this.props, { bsStyle: "link" }));
  }
});

var DefaultAltDropdown = React.createClass({
  displayName: "DefaultAltDropdown",

  render: function render() {
    return React.createElement(Dropdown, _extends({}, this.props, { className: "btn-default-alt" }));
  }
});

var PrimaryDropdown = React.createClass({
  displayName: "PrimaryDropdown",

  render: function render() {
    return React.createElement(Dropdown, _extends({}, this.props, { bsStyle: "primary" }));
  }
});

var LowlightDropdown = React.createClass({
  displayName: "LowlightDropdown",

  render: function render() {
    return React.createElement(Dropdown, _extends({}, this.props, { className: "btn-lowlight" }));
  }
});

var DangerDropdown = React.createClass({
  displayName: "DangerDropdown",

  render: function render() {
    return React.createElement(Dropdown, _extends({}, this.props, { bsStyle: "danger" }));
  }
});

var HighlightDropdown = React.createClass({
  displayName: "HighlightDropdown",

  render: function render() {
    return React.createElement(Dropdown, _extends({}, this.props, { className: "btn-highlight" }));
  }
});

var HighlightAltDropdown = React.createClass({
  displayName: "HighlightAltDropdown",

  render: function render() {
    return React.createElement(Dropdown, _extends({}, this.props, { className: "btn-highlight-alt" }));
  }
});

module.exports = {
  Dropdown: Dropdown,
  LinkDropdown: LinkDropdown,
  DefaultAltDropdown: DefaultAltDropdown,
  PrimaryDropdown: PrimaryDropdown,
  LowlightDropdown: LowlightDropdown,
  DangerDropdown: DangerDropdown,
  HighlightDropdown: HighlightDropdown,
  HighlightAltDropdown: HighlightAltDropdown,
  DropdownItem: DropdownItem
};